package sample;

public class ConvertTemperatureProxy implements sample.ConvertTemperature {
  private boolean _useJNDI = true;
  private String _endpoint = null;
  private sample.ConvertTemperature convertTemperature = null;
  
  public ConvertTemperatureProxy() {
    _initConvertTemperatureProxy();
  }
  
  private void _initConvertTemperatureProxy() {
  
  if (_useJNDI) {
    try{
      javax.naming.InitialContext ctx = new javax.naming.InitialContext();
      convertTemperature = ((sample.ConvertTemperatureService)ctx.lookup("java:comp/env/service/ConvertTemperatureService")).getConvertTemperature();
      }
    catch (javax.naming.NamingException namingException) {}
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  if (convertTemperature == null) {
    try{
      convertTemperature = (new sample.ConvertTemperatureServiceLocator()).getConvertTemperature();
      }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  if (convertTemperature != null) {
    if (_endpoint != null)
      ((javax.xml.rpc.Stub)convertTemperature)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    else
      _endpoint = (String)((javax.xml.rpc.Stub)convertTemperature)._getProperty("javax.xml.rpc.service.endpoint.address");
  }
  
}


public void useJNDI(boolean useJNDI) {
  _useJNDI = useJNDI;
  convertTemperature = null;
  
}

public String getEndpoint() {
  return _endpoint;
}

public void setEndpoint(String endpoint) {
  _endpoint = endpoint;
  if (convertTemperature != null)
    ((javax.xml.rpc.Stub)convertTemperature)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
  
}

public sample.ConvertTemperature getConvertTemperature() {
  if (convertTemperature == null)
    _initConvertTemperatureProxy();
  return convertTemperature;
}

public double fahrenheitToCelsius(double fahrenheitValue) throws java.rmi.RemoteException{
  if (convertTemperature == null)
    _initConvertTemperatureProxy();
  return convertTemperature.fahrenheitToCelsius(fahrenheitValue);
}

public double celsiusToFahrenheit(double celsiusValue) throws java.rmi.RemoteException{
  if (convertTemperature == null)
    _initConvertTemperatureProxy();
  return convertTemperature.celsiusToFahrenheit(celsiusValue);
}


}